VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "MemoryInfo"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

'==================================================================
'
' Memory Information
'
' 29 September 2001
'
' You're free in using this software, as long as the
' orignal copyright/author information remains intact.
' In other words, respecting the person(s) who made it
' possible for you to view/learn something of this software.
'
' Copyright  2001 - Diederik van der Boor
' http://www.codingdomain.com
'
'==================================================================


'------------------------------------------------------------------
' Local Variables

Private CurMemInfo As MEMORYSTATUS


'------------------------------------------------------------------
' API Declarations

Private Type MEMORYSTATUS
  dwLength As Long
  dwMemoryLoad As Long
  dwTotalPhys As Long
  dwAvailPhys As Long
  dwTotalPageFile As Long
  dwAvailPageFile As Long
  dwTotalVirtual As Long
  dwAvailVirtual As Long
End Type

Private Declare Sub GlobalMemoryStatus Lib "kernel32" (lpBuffer As MEMORYSTATUS)


'------------------------------------------------------------------
' Get the information structure

Private Sub Class_Initialize()
  CurMemInfo.dwLength = Len(CurMemInfo)
  Me.Refresh
End Sub

'------------------------------------------------------------------
' Request the information again

Public Sub Refresh()
  Call GlobalMemoryStatus(CurMemInfo)
End Sub


'------------------------------------------------------------------
' Return the information

Public Property Get AlvailablePhysMemory() As Long
  AlvailablePhysMemory = CurMemInfo.dwAvailPhys
End Property

Public Property Get AvailablePageFile() As Long
  AvailablePageFile = CurMemInfo.dwAvailPageFile
End Property

Public Property Get AvailableVirtualMemory() As Long
  AvailableVirtualMemory = CurMemInfo.dwAvailVirtual
End Property

Public Property Get TotalPageFile() As Long
  TotalPageFile = CurMemInfo.dwTotalPageFile
End Property

Public Property Get TotalPhysMemory() As Long
  TotalPhysMemory = CurMemInfo.dwTotalPhys
End Property

Public Property Get TotalVirtualMemory() As Long
  TotalVirtualMemory = CurMemInfo.dwTotalVirtual
End Property
